Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592387 - Review Request: maven-install-plugin - Maven Install Plugin
Summary: Review Request: maven-install-plugin - Maven Install Plugin
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 18:18 UTC by huwang
Modified: 2010-05-19 19:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-19 19:39:00 UTC
akurtako: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Comment 1 huwang 2010-05-14 18:24:56 UTC
Note about this package:
  It built successfully in koji with dist-f14-maven221 target:http://koji.fedoraproject.org/koji/taskinfo?taskID=2188521.

Comment 2 huwang 2010-05-15 16:46:49 UTC
Please ignore the comment 1.
Note about this package:
  It built successfully in koji with dist-f14-maven221 target: http://koji.fedoraproject.org/koji/taskinfo?taskID=2190088

Comment 3 Alexander Kurtakov 2010-05-17 07:43:19 UTC
I'm taking this one.

Comment 4 Alexander Kurtakov 2010-05-17 11:22:53 UTC
Review:

OK: rpmlint must be run on every package. OUTPUT:

maven-install-plugin.noarch: W: no-documentation
maven-install-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-install-plugin
maven-install-plugin.src: W: invalid-url Source0: maven-install-plugin-2.3.tar.gz

Not a problem. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL.
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Javadocs
subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other
packages. 
OK: All filenames in rpm packages must be valid UTF-8.

One small problem only:
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}.pom 
should be
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

This is needed for proper finding of the pom.

Comment 5 huwang 2010-05-17 15:05:29 UTC
(In reply to comment #4)
> Review:
> 
> OK: rpmlint must be run on every package. OUTPUT:
> 
> maven-install-plugin.noarch: W: no-documentation
> maven-install-plugin.noarch: W: non-conffile-in-etc
> /etc/maven/fragments/maven-install-plugin
> maven-install-plugin.src: W: invalid-url Source0:
> maven-install-plugin-2.3.tar.gz
> 
> Not a problem. 
> 
> OK: The package must be named according to the Package Naming Guidelines .
> OK: The spec file name must match the base package %{name}, in the format
> %{name}.spec unless your package has an exemption. 
> OK: The package must meet the Packaging Guidelines .
> OK: The package must be licensed with a Fedora approved license and meet the
> Licensing Guidelines .
> OK: The License field in the package spec file must match the actual license. 
> OK: The spec file must be written in American English.
> OK: The spec file for the package MUST be legible. 
> OK: The sources used to build the package must match the upstream source, as
> provided in the spec URL.
> OK: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture.
> OK: All build dependencies must be listed in BuildRequires, except for any that
> are listed in the exceptions section of the Packaging Guidelines ; inclusion of
> those as BuildRequires is optional. Apply common sense.
> OK: Packages must NOT bundle copies of system libraries.
> OK: A package must own all directories that it creates. 
> OK: A Fedora package must not list a file more than once in the spec file's
> %files listings. 
> OK: Permissions on files must be set properly. 
> OK: Each package must consistently use macros.
> OK: The package must contain code, or permissable content. 
> OK: Large documentation files must go in a -doc subpackage. Javadocs
> subpackage.
> OK: If a package includes something as %doc, it must not affect the runtime of
> the application. 
> OK: Packages must not own files or directories already owned by other
> packages. 
> OK: All filenames in rpm packages must be valid UTF-8.
> 
> One small problem only:
> install -pm 644 pom.xml \
>     %{buildroot}%{_mavenpomdir}/JPP.%{name}.pom 
> should be
> install -pm 644 pom.xml \
>     %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
> 
> This is needed for proper finding of the pom.    
Fixed.
Spec URL:
http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=maven-install-plugin.spec&can=2&q=#makechanges
SPRM URL:
http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=maven-install-plugin-2.3-2.src.rpm&can=2&q=#makechanges

Comment 6 Alexander Kurtakov 2010-05-17 15:17:55 UTC
Thanks,

This package is APPROVED.

Comment 7 Alexander Kurtakov 2010-05-17 15:20:31 UTC
Lifting NEEDSPONSOR.

Comment 8 huwang 2010-05-18 06:44:05 UTC
New Package CVS Request
=======================
Package Name: maven-install-plugin
Short Description: Maven Install Plugin
Owners: huwang
Branches: 
InitialCC: akurtakov,yyang,weli

Comment 9 Dennis Gilmore 2010-05-18 18:26:09 UTC
CVS Done

Comment 10 Alexander Kurtakov 2010-05-19 19:39:00 UTC
Koji build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=174182


Note You need to log in before you can comment on or make changes to this bug.